org.apache.solr.common.cloud

## Class PerReplicaStates.Operation

- java.lang.Object
- - org.apache.solr.common.cloud.PerReplicaStates.Operation

Enclosing class:
  PerReplicaStates

    public static class PerReplicaStates.Operation
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PerReplicaStates.Operation.Type`

### Field Summary

Fields
`PerReplicaStates.State` `state`
`PerReplicaStates.Operation.Type` `typ`

### Constructor Summary

Constructors
Constructor and Description
`Operation(PerReplicaStates.Operation.Type typ, PerReplicaStates.State replicaState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### typ

    public final PerReplicaStates.Operation.Type typ

#### state

    public final PerReplicaStates.State state

### Constructor Detail

#### Operation

    public Operation(PerReplicaStates.Operation.Type typ,
                     PerReplicaStates.State replicaState)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`